Bug 1306629 - Review Request: metrics-reporter-config - Manages config for Coda Hale’s Metrics-reporter
Review Request: metrics-reporter-config - Manages config for Coda Hale’s Metr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-11 08:40 EST by Tomas Repik
Modified: 2016-06-30 17:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-30 17:27:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Tomas Repik 2016-02-11 08:40:48 EST
Spec URL: https://trepik.fedorapeople.org/metrics-reporter-config.spec
SRPM URL: https://trepik.fedorapeople.org/metrics-reporter-config-3.0.0-1.fc23.src.rpm

Description: To package cassandra for fedora metrics-reporter-config is required.
Metrics-Reporter-Config aims to provide a simple way to configure
and enable a set of Reporters that can be shared among applications. It
should fit most (say 90% of) use cases and avoid situations like a plethora
of subtly incompatible properties files.

Fedora Account System Username: trepik
Comment 1 gil cattaneo 2016-03-17 09:21:18 EDT
I has escaped those who sponsored you, you can tell me who was sponsoring you?

Some unblocking issues:

Please, remove 
%pom_change_dep io.dropwizard.metrics: com.codahale.metrics: reporter-config3/pom.xml
in Fedora 24 and major this is unnecessary

Please change Buildrequires:  mvn(org.yaml:snakeyaml) in BuildRequires:  mvn(org.yaml:snakeyaml)
Comment 2 gil cattaneo 2016-03-17 09:23:47 EDT
... sorry for the noise,
missing BuildRequires: mvn(org.apache.commons:commons-lang3)
Comment 3 gil cattaneo 2016-03-17 09:44:28 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache (v2.0)". 6 files
     have unknown license. Detailed output of licensecheck in
     /home/gil/1306629-metrics-reporter-config/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: metrics-reporter-config (description)
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in metrics-
     reporter-config-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: metrics-reporter-config-3.0.0-1.fc25.noarch.rpm
          metrics-reporter-config-javadoc-3.0.0-1.fc25.noarch.rpm
          metrics-reporter-config-3.0.0-1.fc25.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
metrics-reporter-config-javadoc (rpmlib, GLIBC filtered):
    javapackages-tools

metrics-reporter-config (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(com.codahale.metrics:metrics-core)
    mvn(org.apache.commons:commons-lang3)
    mvn(org.hibernate:hibernate-validator)
    mvn(org.slf4j:slf4j-api)
    mvn(org.yaml:snakeyaml)



Provides
--------
metrics-reporter-config-javadoc:
    metrics-reporter-config-javadoc

metrics-reporter-config:
    metrics-reporter-config
    mvn(com.addthis.metrics:reporter-config)
    mvn(com.addthis.metrics:reporter-config-base)
    mvn(com.addthis.metrics:reporter-config-base:pom:)
    mvn(com.addthis.metrics:reporter-config-parent:pom:)
    mvn(com.addthis.metrics:reporter-config3)
    mvn(com.addthis.metrics:reporter-config3:pom:)
    mvn(com.addthis.metrics:reporter-config:pom:)



Source checksums
----------------
https://github.com/addthis/metrics-reporter-config/archive/v3.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : 857683a4358a744f2490c7e5542adcff78c73c90c3ee5af2fefa9fe8e087ea40
  CHECKSUM(SHA256) upstream package : 857683a4358a744f2490c7e5542adcff78c73c90c3ee5af2fefa9fe8e087ea40


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1306629 --plugins Java -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 gil cattaneo 2016-03-17 09:47:34 EDT
Blocking issues:
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache (v2.0)". 6 files
     have unknown license. Detailed output of licensecheck in
     /home/gil/1306629-metrics-reporter-config/licensecheck.txt

The following source files are without license headers:
metrics-reporter-config-3.0.0/reporter-config2/src/main/java/com/addthis/metrics/reporter/config/MetricPredicateTransformer.java
metrics-reporter-config-3.0.0/reporter-config2/src/test/java/com/addthis/metrics/reporter/config/GraphiteReporterConfigTest.java
metrics-reporter-config-3.0.0/reporter-config3/src/main/java/com/addthis/metrics3/reporter/config/MetricFilterTransformer.java
metrics-reporter-config-3.0.0/reporter-config3/src/test/java/com/addthis/metrics3/reporter/config/GraphiteReporterConfigTest.java

Please, ask to upstream to include license headers where are missing

https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Clarification

Non blocking issues: see Comment#1 and comment#2
Comment 5 Tomas Repik 2016-03-21 12:10:29 EDT
I asked upstream for the headers:
https://github.com/addthis/metrics-reporter-config/issues/18
Comment 6 gil cattaneo 2016-03-21 13:09:53 EDT
(In reply to Tomas Repik from comment #5)
> I asked upstream for the headers:
> https://github.com/addthis/metrics-reporter-config/issues/18

Ok, thanks.
When you settle other issues approved the package
Comment 7 Tomas Repik 2016-03-23 07:42:40 EDT
Spec URL: https://trepik.fedorapeople.org/metrics-reporter-config/v1/metrics-reporter-config.spec
SRPM URL: https://trepik.fedorapeople.org/metrics-reporter-config/v1/metrics-reporter-config-3.0.0-2.fc23.src.rpm

* Wed Mar 23 2016 Tomas Repik <trepik@redhat.com> - 3.0.0-2
- added buildrequires, comment for fedora 24 and typo fix
Comment 8 gil cattaneo 2016-03-23 14:23:12 EDT
Thanks. Approved
Have time for this https://bugzilla.redhat.com/show_bug.cgi?id=1286467 ?
Comment 9 Tomas Repik 2016-03-24 04:14:40 EDT
Spec URL: https://trepik.fedorapeople.org/metrics-reporter-config/v2/metrics-reporter-config.spec
SRPM URL: https://trepik.fedorapeople.org/metrics-reporter-config/v2/metrics-reporter-config-3.0.0-1.fc23.src.rpm

Just reset the release number, here is the diff:

--- SPECS/old/metrics-reporter-config.spec	2016-03-24 08:58:10.952502015 +0100
+++ SPECS/metrics-reporter-config.spec	2016-03-24 09:01:14.670278552 +0100
@@ -1,6 +1,6 @@
 Name:           metrics-reporter-config
 Version:        3.0.0
-Release:        2%{?dist}
+Release:        1%{?dist}
 Summary:        Manages config for metrics from Coda Hale’s Metrics library
 
 License:        ASL 2.0
@@ -71,9 +71,6 @@
 %license LICENSE NOTICE
 
 %changelog
-* Wed Mar 23 2016 Tomas Repik <trepik@redhat.com> - 3.0.0-2
-- added buildrequires, comment for fedora 24 and typo fix
-
-* Thu Feb 11 2016 Tomas Repik <trepik@redhat.com> - 3.0.0-1
+* Wed Mar 23 2016 Tomas Repik <trepik@redhat.com> - 3.0.0-1
 - Initial RPM release
Comment 10 gil cattaneo 2016-03-24 04:32:55 EDT
I think that you should be undo these changes.
I don't understand the reasons(In reply to Tomas Repik from comment #9)
> Spec URL:
> https://trepik.fedorapeople.org/metrics-reporter-config/v2/metrics-reporter-
> config.spec
> SRPM URL:
> https://trepik.fedorapeople.org/metrics-reporter-config/v2/metrics-reporter-
> config-3.0.0-1.fc23.src.rpm
> 
> Just reset the release number, here is the diff:
> 
> --- SPECS/old/metrics-reporter-config.spec	2016-03-24 08:58:10.952502015
> +0100
> +++ SPECS/metrics-reporter-config.spec	2016-03-24 09:01:14.670278552 +0100
> @@ -1,6 +1,6 @@
>  Name:           metrics-reporter-config
>  Version:        3.0.0
> -Release:        2%{?dist}
> +Release:        1%{?dist}
>  Summary:        Manages config for metrics from Coda Hale’s Metrics library
>  
>  License:        ASL 2.0
> @@ -71,9 +71,6 @@
>  %license LICENSE NOTICE
>  
>  %changelog
> -* Wed Mar 23 2016 Tomas Repik <trepik@redhat.com> - 3.0.0-2
> -- added buildrequires, comment for fedora 24 and typo fix
> -
> -* Thu Feb 11 2016 Tomas Repik <trepik@redhat.com> - 3.0.0-1
> +* Wed Mar 23 2016 Tomas Repik <trepik@redhat.com> - 3.0.0-1
>  - Initial RPM release

I think that you should be undo these changes.
I don't understand the reasons
Comment 11 Tomas Repik 2016-03-24 04:39:14 EDT
(In reply to gil cattaneo from comment #10)
> I think that you should be undo these changes.
> I don't understand the reasons

I was advised that it is good practice to reset release number upon first release of a package.
Comment 12 gil cattaneo 2016-03-24 04:47:32 EDT
(In reply to Tomas Repik from comment #11)
> I was advised that it is good practice to reset release number upon first
> release of a package.
This ..., is the first time i hear it in Fedora, and it seems so hopeless
Comment 13 gil cattaneo 2016-03-24 04:49:03 EDT
I remain of you do not change the entries in the changelog
Comment 14 Till Maas 2016-03-29 14:02:58 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/metrics-reporter-config
Comment 15 Fedora Update System 2016-03-30 08:33:04 EDT
metrics-reporter-config-3.0.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f12e1b0f22
Comment 16 Fedora Update System 2016-03-30 18:55:00 EDT
metrics-reporter-config-3.0.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f12e1b0f22
Comment 17 Fedora Update System 2016-04-07 11:50:34 EDT
metrics-reporter-config-3.0.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2016-06-22 02:31:55 EDT
metrics-reporter-config-3.0.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-60a5bca291
Comment 19 Fedora Update System 2016-06-22 19:03:09 EDT
metrics-reporter-config-3.0.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-60a5bca291
Comment 20 Fedora Update System 2016-06-30 17:27:45 EDT
metrics-reporter-config-3.0.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.